const router = require('express').Router();
const { getJsonFile } = require('./json');
const {join} = require('path');
const fs = require('fs');
require('dotenv').config();
const env = process.env;
const root = join(__dirname, '../../');

// router.get('/json/:filename', getJsonFile);
router.get('/cards/:filename', (req, res) => {

    const filePath = join(root, `${env.FILE_PATH}/cards/${req.params.filename}.${req.query.type}`);
    
    fs.readFile(filePath, (err, data) => {
        if (err) {
            console.error(err);
            return res.status(500).send('Error reading file');
        }

        res.setHeader('Content-Type', 'application/json');
        res.send(data);
    });
})

router.get('/notes/:filename', (req, res) => {
    const filePath = join(root, `${env.FILE_PATH}/notes/${req.params.filename}.${req.query.type}`);

    fs.readFile(filePath, (err, data) => {
        if (err) {
            console.error(err);
            return res.status(500).send('Error reading file');
        }

        res.setHeader('Content-Type', 'text/html');
        res.send(data);
    });
})

module.exports = router;